<?php

namespace App\Services;

use App\Services\Service;
use App\Services\ServiceResponse\ServiceResponse;
use App\DAO\SerialDAO;

class SerialSevice extends Service {

	public function getNewSerialUUID(): ServiceResponse {

		$serviceReponse = new ServiceResponse();

		$serialDao = new SerialDAO();
		$daoResponse = $serialDao->getNewSerialUUID();
		$serviceReponse = $this->setServiceResponse( $daoResponse );

		return $serviceReponse;

	}

}

